Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class JunctionPath

    java.lang.Object
      |
      +--CarContainer
            |
            +--JunctionPath

public class JunctionPath
extends CarContainer

Fields inherited from class CarContainer
`NOTHING_IN_FRONT`

Constructor Summary
`JunctionPath(int startiD, int endID, JunctionModel parent, int startX, int startY, int endX, int endY)`

Method Summary
`void` | `drawAllGhostCars(java.awt.Graphics2D g2d)`
`int` | `getEndLaneID()`
`int` | `getParentID()`
`boolean` | `isLastOne()`
`CarContainer` | `onToNext()`

Methods inherited from class CarContainer
`addCar, anycollisions, drawAllCars, drawIDs, getCar, getdx, getdy, getendX, getendY, getGeneralDirection, getGradient, getID, getMidX, getMidY, getNextObInFront, getRadAngle, getSpeeds, getstartX, getstartY, hasCars, isFirstOne, isOKToGo, kill, numStationaryCars, removeCar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JunctionPath

    public JunctionPath(int startiD,
                        int endID,
                        JunctionModel parent,
                        int startX,
                        int startY,
                        int endX,
                        int endY)

Method Detail

### isLastOne

    public boolean isLastOne()

  Specified by:
    `isLastOne` in class `CarContainer`

### drawAllGhostCars

    public void drawAllGhostCars(java.awt.Graphics2D g2d)

### onToNext

    public CarContainer onToNext()

  Specified by:
    `onToNext` in class `CarContainer`

### getEndLaneID

    public int getEndLaneID()

### getParentID

    public int getParentID()

  Specified by:
    `getParentID` in class `CarContainer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD